Package org.apache.commons.imaging.formats.tiff

# Class TiffImageMetadata.Directory

java.lang.Object
org.apache.commons.imaging.common.GenericImageMetadata
org.apache.commons.imaging.formats.tiff.TiffImageMetadata.Directory

All Implemented Interfaces:
  `ImageMetadata`, `ImageMetadata.ImageMetadataItem`

Enclosing class:
  `TiffImageMetadata`

public static class TiffImageMetadata.Directory extends GenericImageMetadata implements ImageMetadata.ImageMetadataItem

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.imaging.common.GenericImageMetadata

  `GenericImageMetadata.GenericImageMetadataItem`

  ## Nested classes/interfaces inherited from interface org.apache.commons.imaging.common.ImageMetadata

  `ImageMetadata.ImageMetadataItem`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Directory(ByteOrder byteOrder, TiffDirectory directory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(TiffField entry)`
  `TiffField`
  `findField(TagInfo tagInfo)`
  `List<TiffField>`
  `getAllFields()`
  `JpegImageData`
  `getJpegImageData()`
  `TiffOutputDirectory`
  `getOutputDirectory(ByteOrder byteOrder)`
  `BufferedImage`
  `getThumbnail()`
  `AbstractTiffImageData`
  `getTiffImageData()`
  `String`
  `toString(String prefix)`

  ### Methods inherited from class org.apache.commons.imaging.common.GenericImageMetadata

  `add, add, getItems, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.imaging.common.ImageMetadata.ImageMetadataItem

  `toString`

- ## Field Details

  - ### type

    public final int type

- ## Constructor Details

  - ### Directory

    public Directory(ByteOrder byteOrder, TiffDirectory directory)

- ## Method Details

  - ### add

    public void add(TiffField entry)

  - ### findField

    public TiffField findField(TagInfo tagInfo) throws ImagingException
    Throws:
      `ImagingException`

  - ### getAllFields

    public List<TiffField> getAllFields()

  - ### getJpegImageData

    public JpegImageData getJpegImageData()

  - ### getOutputDirectory

    public TiffOutputDirectory getOutputDirectory(ByteOrder byteOrder) throws ImagingException
    Throws:
      `ImagingException`

  - ### getThumbnail

    public BufferedImage getThumbnail() throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### getTiffImageData

    public AbstractTiffImageData getTiffImageData()

  - ### toString

    public String toString(String prefix)
    Specified by:
      `toString` in interface `ImageMetadata`
    Specified by:
      `toString` in interface `ImageMetadata.ImageMetadataItem`
    Overrides:
      `toString` in class `GenericImageMetadata`